Summary:	Neo Geo Emulator
Name:		gngeo
Version:	0.8
Release:	%mkrel 1
License:	GPLv2+
Packager: 	Agent Smith <ruidobranco@yahoo.com.br>
Group:		Emulators
Url:		https://www.berlios.de/software/gngeo/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.png
Patch0:		gngeo-mkstate.patch
Patch1:		gngeo-0.8-cflags.patch
Patch2:		gngeo-0.8-concurrentMake.patch
Patch3:		gngeo-0.8-execstacks.patch
BuildRequires:	nasm
BuildRequires:	mesa-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}sdl2.0-devel
BuildRequires:	%{_lib}sdl2_image-devel
BuildRequires:	zlib1-devel

%description
GnGeo is a NeoGeo emulator for Linux (and maybe some other UNIX).
It needs NeoGeo Bios and roms that you must of course own to play with.

There's no working frontend for GNGEO, but it's pretty usable, since it has a basic GUI.
You must configure a configuration file, gngeorc, located in ~/.gngeo
A sample configuration file is listed below (change it to your needs)[* equals to #]
* GNGEO Sample resource file

* Path to dynamicly load opengl (only used for the opengl blitter)
libglpath /usr/lib/libGL.so

* Where your rom are?
*rompath /home/where_your_neogeo_roms_are

* Where did you put yout neogeo.zip bios file?
*biospath /home/where_your_neogeo_bios(neogeo.zip)_are *The bios files must be in the same folder of the rom files and in the path declared in this line.

* Where gngeo can find its datafile (font/skin/etc.)
datafile /usr/share/gngeo/gngeo_data.zip

* Play in fullscreen?
fullscreen true

* Which blitter? 'gngeo --blitter help' for a list
* soft
* opengl
* yuv
blitter soft

* Which effect? 'gngeo --effect help' for a list
* none	
* scanline
* scanline50
* scale2x
* scale2x50
* scale2x75
* doublex
* sai
* supersai
* eagle
effect none

* Enable the raster interrupt?
raster false

* scale the output image 
scale 1

* Have interpolation?
interpolation false

* Have sound?
sound true

* Shown FPS
showfps false

* autoframeskip control
autoframeskip true
sleepidle false

* Synchronise the display with VBLANK (you may desactiva autoframeskip if vsync is on)
vsync true

* enable joystick support ?
joystick true

* enable the 68k inline debuger? (disable the sound)
debug false

* Use hardware surface for the screen?
hwsurface false

* Use PAL timing? (buggy)
pal false

* Sample rate
samplerate 44100

* country?
* japan, usa, europe
country usa

* system type? arcade or home or unibios (unibios.rom needed)
system arcade

* NeoRageX-style hotkey configuration
* Up to 4 hotkeys per player can be defined (
* Only fire buttons (A-D) can be combined
* A = 1, B = 2, C = 4, D = 8

* Samples:
* Map CD to P1 hotkey 0
p1hotkey0 4,8
* Map BC to P1 hotkey 1
p1hotkey1 2,4
* Map ABC to P1 hotkey 2
p1hotkey2 1,2,4
*p1hotkey3
*p2hotkey0
*p2hotkey1
*p2hotkey2
*p2hotkey3

* Key configuration
* order : A,B,C,D,START,COIN,UP,DOWN,LEFT,RIGHT
* please see SDL_keysym.h for key definition
* or push F4 during game : the keysym code of
* keys will be printed (also work for joysticks) 
* same thing as joypads for hotkeys


* Azerty configuration: 
* p1: w,x,q,s,&,",up,down,left,right
* p2: l,m,o,p,Ã©,',NUM 8,NUM 5,NUM 4,NUM 6
*p1key    119,120,113,115,38,34,273,274,276,275
*p2key    108,109,111,112,233,39,264,261,260,262

*p1control A=K119,B=K120,C=K113,D=K115,START=K38,COIN=K34,UP=K273,DOWN=K274,LEFT=K276,RIGHT=K275,MENU=K27
*p2control A=K108,B=K109,C=K111,D=K112,START=K233,COIN=K39,UP=K264,DOWN=K261,LEFT=K260,RIGHT=K262,MENU=K27

* Qwerty configuration:
* p1: z,x,a,s,1,3,up,down,left,right
* p2: l,;,o,p,2,4,NUM 8,NUM 5,NUM 4,NUM 6
*p1control A=K122,B=K120,C=K97,D=K115,START=K49,COIN=K51,UP=K273,DOWN=K274,LEFT=K276,RIGHT=K275,MENU=K27
p2control A=K108,B=K59,C=K111,D=K112,START=K50,COIN=K52,UP=K264,DOWN=K261,LEFT=K260,RIGHT=K262,MENU=K27

* some sample joystick configuration
* Xbox360
* p1control A=J0B0,B=J0B1,C=J0B2,D=J0B3,START=J0B6,COIN=J0B10,UP=J0a1,DOWN=J0a1,LEFT=J0A0,RIGHT=J0A0,MENU=J0B7
* Dualshock2
p1control A=J0B2,B=J0B1,C=J0B3,D=J0B0,START=J0B9,COIN=J0B8,UP=J0a1,DOWN=J0a1,LEFT=J0A0,RIGHT=J0A0

* Meaning of the code:
* Kxxx : keyboad key number xxx
* JxByy : Joystick number x Button yy
* JxAyy : Joystick number x Axe yy (use a lowercase 'a' if you need to invert the axis)
* JxHyy : Joystick number x Hat yy
* 
* by the way, you can define a button multiple time, for example A=J0B0,A=K123,etc..ÿs)



#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
autoreconf -fi
%global optflags %{optflags} -std=gnu89
%configure2_5x \
	--disable-i386asm

%make

%install
%makeinstall_std

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Gngeo
Comment=Neo Geo AES emulator
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
Encoding=UTF-8
EOF

#icon

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png


%clean

rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%doc AUTHORS COPYING NEWS README sample_gngeorc
%attr(0755,root,games) %{_bindir}/%{name}
%dir %attr(0755,root,games) %{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/gngeo.1*
%{_datadir}/%{name}/gngeo_data.zip


%changelog

* Mon Mar 30 2020 Agent Smith <ruidobranco@yahoo.com.br> 0.8-1pclos2020
- Updated with latest sources, patches from Gentoo, created Icon and launcher.


* Mon Feb 22 2010 slick50 <lxgator@gmail.com> 0.7-1pclos2010
- initial pkg


